[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
grep branch, master, updated. v2.21-47-g6c55dd4
From: |
Paul Eggert |
Subject: |
grep branch, master, updated. v2.21-47-g6c55dd4 |
Date: |
Mon, 13 Jul 2015 23:10:51 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".
The branch, master has been updated
via 6c55dd4f7f86825b1e2d6164f503e290660376f2 (commit)
from 5dffb9cbf9223c5cd923f5c0da9583db95b9e8d0 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=6c55dd4f7f86825b1e2d6164f503e290660376f2
commit 6c55dd4f7f86825b1e2d6164f503e290660376f2
Author: Paul Eggert <address@hidden>
Date: Mon Jul 13 16:10:00 2015 -0700
tests: fix $? typo in null-byte
* tests/null-byte: Don't assume $? survives an invocation of 'test'.
diff --git a/tests/null-byte b/tests/null-byte
index 27be99e..2419667 100755
--- a/tests/null-byte
+++ b/tests/null-byte
@@ -39,7 +39,9 @@ for left in '' a '#' '\0'; do
printf "$pat\\n" >pat || framework_failure_
for locale in $locales; do
LC_ALL=$locale grep -f pat in
- test $? -eq 0 || test $? -eq 1 || fail_ "'$pat' caused an error"
+ status=$?
+ test $status -eq 0 || test $status -eq 1 ||
+ fail_ "'$pat' caused an error"
LC_ALL=$locale grep -a -f pat in | cmp -s - in ||
fail_ "-a '$pat' does not match '$data'"
done
-----------------------------------------------------------------------
Summary of changes:
tests/null-byte | 4 +++-
1 files changed, 3 insertions(+), 1 deletions(-)
hooks/post-receive
--
grep
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- grep branch, master, updated. v2.21-47-g6c55dd4,
Paul Eggert <=